Package ghidra.app.util.viewer.field

# Interface ListingField

All Superinterfaces:
  `Field`

All Known Implementing Classes:
  `AbstractOpenCloseField`, `ErrorListingField`, `ImageFactoryField`, `IndentField`, `ListingTextField`, `OpenCloseField`, `VariableOpenCloseField`

public interface ListingField extends Field
Interface that extends the Field interface to add addition information that the browser needs from the fields.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getClickedObject(FieldLocation fieldLocation)`
  Returns the object that was clicked on a Field for the given FieldLocation.
  `FieldFactory`
  `getFieldFactory()`
  Returns the FieldFactory that generated this Field
  `ProxyObj<?>`
  `getProxy()`
  Returns the object that the fieldFactory used to generate the information in this field.

  ### Methods inherited from interface docking.widgets.fieldpanel.field.Field

  `contains, getCol, getCursorBounds, getHeight, getHeightAbove, getHeightBelow, getNumCols, getNumDataRows, getNumRows, getPreferredWidth, getRow, getScrollableUnitIncrement, getStartX, getText, getTextWithLineSeparators, getWidth, getX, getY, isPrimary, isValid, paint, rowHeightChanged, screenLocationToTextOffset, textOffsetToScreenLocation`

- ## Method Details

  - ### getFieldFactory

    FieldFactory getFieldFactory()
    Returns the FieldFactory that generated this Field
    Returns:
      the FieldFactory that generated this Field

  - ### getProxy

    ProxyObj<?> getProxy()
    Returns the object that the fieldFactory used to generate the information in this field.
    Returns:
      the object that the fieldFactory used to generate the information in this field.

  - ### getClickedObject

    Object getClickedObject(FieldLocation fieldLocation)
    Returns the object that was clicked on a Field for the given FieldLocation. This may be the field itself or a lower-level entity, such as a FieldElement.
    Parameters:
      `fieldLocation` - The location that was clicked.
    Returns:
      the object that was clicked